Skip to main content
POST
/
webhooks
/
{public_id}
/
test
Send a synthetic test event
curl --request POST \
  --url https://app.sendmux.ai/api/v1/webhooks/{public_id}/test \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "event_id": "evt_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string

Client-chosen unique key to safely retry the request. Cached for 24h per (team, endpoint, key). Different target public_id under the same key returns 409 idempotency_conflict.

Maximum string length: 255
Example:

"webhooks-test-20260424-001"

Path Parameters

public_id
string
required

Webhook public ID

Response

Test event published

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required